Re: ncsa patch help

Mark Brown (mbrown@OpenMarket.com)
Wed, 15 May 1996 16:06:27 -0400

Message-Id: <199605152006.QAA24180@breckenridge.openmarket.com>
To: bpm@techapp.com
Subject: Re: ncsa patch help 
In-Reply-To: Your message of "Wed, 15 May 1996 13:20:11 CDT."
             <199605151820.NAA25094@vlad> 
Date: Wed, 15 May 1996 16:06:27 -0400
From: Mark Brown <mbrown@OpenMarket.com>


    When I run the httpd server, I get a lot of
    "FastCGI process
    '/usr/local/httpd/fcgi-devel-kit/examples/tiny-perl-fcgi.cgi'
    terminated due to exit" error messages.

I think the problem you are having is that you are referencing
the cgi script that is meant for users of cgi-fcgi, rather than
referencing the application directly.  tiny-perl-fcgi.cgi
contains:

    #!../cgi-fcgi/cgi-fcgi -f
    -connect sockets/tiny-perl-fcgi ./tiny-perl-fcgi 1

If you are using the NSCA server with FastCGI support built-in,
you don't need cgi-fcgi, so you should not be using this script!
Change your srm.conf to contain

    AppClass /usr/local/httpd/fcgi-devel-kit/examples/tiny-perl-fcgi
        -listen-queue-depth 10 -processes 2

(notice: *not* tiny-perl-fcgi.cgi).

Let us know if that does it.

If you will put together a sample NCSA server config for running the
FastCGI examples, I'll put that into the kit.  That should reduce
such confusion in the future.  Similarly for Apache, if someone
will do that.

    --mark